com.collabnet.ce.soap60.webservices.frs

## Class FrsAppSoapStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.frs.FrsAppSoapStub

- All Implemented Interfaces:
    IFrsAppSoap

      public class FrsAppSoapStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapStub
      implements IFrsAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrsAppSoapStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FrsFileSoapDO` | `createFrsFile(String sessionId, String releaseId, String fileName, String mimeType, String fileId)` Creates a new FRS file and adds it to the specified release.
    `PackageSoapDO` | `createPackage(String sessionId, String projectId, String title, String description, boolean isPublished)` Creates a new FRS package.
    `ReleaseSoapDO` | `createRelease(String sessionId, String packageId, String title, String description, String status, String maturity)` Creates a new release within a specified package.
    `void` | `deleteFrsFile(String sessionId, String frsFileId)` Deletes the specified file.
    `void` | `deletePackage(String sessionId, String packageId)` Deletes the specified package.
    `void` | `deleteRelease(String sessionId, String releaseId)` Deletes the specified release.
    `ArtifactSoapList` | `getArtifactListReportedInRelease(String sessionId, String releaseId)` Lists artifacts that were found in the given release.
    `Artifact2SoapList` | `getArtifactListReportedInRelease2(String sessionId, String releaseId)` Lists artifacts that were found in the given release.
    `ArtifactSoapList` | `getArtifactListResolvedInRelease(String sessionId, String releaseId)` Lists artifacts that were resolved in the given release.
    `Artifact2SoapList` | `getArtifactListResolvedInRelease2(String sessionId, String releaseId)` Lists artifacts that were resolved in the given release.
    `FrsFileSoapDO` | `getFrsFileData(String sessionId, String frsFileId)` Gets FRS file data.
    `String` | `getFrsFileId(String sessionId, String frsFileId)` Returns a temporary file storage object id to download an FRS file.
    `FrsFileSoapList` | `getFrsFileList(String sessionId, String releaseId)` Returns a list of files within a release.
    `PackageSoapDO` | `getPackageData(String sessionId, String packageId)` Returns package data.
    `PackageSoapList` | `getPackageList(String sessionId, String projectId)` Lists packages within a project.
    `ReleaseSoapDO` | `getReleaseData(String sessionId, String releaseId)` Returns the specified release data.
    `ReleaseSoapList` | `getReleaseList(String sessionId, String packageId)` Lists the releases within a specified package.
    `void` | `setPackageData(String sessionId, PackageSoapDO packageData)` Returns package data.
    `void` | `setReleaseData(String sessionId, ReleaseSoapDO releaseData)` Sets the specified release data.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrsAppSoapStub

          public FrsAppSoapStub(String soapServerUrl)

  - ### Method Detail

    - #### createPackage

          public PackageSoapDO createPackage(String sessionId,
                                             String projectId,
                                             String title,
                                             String description,
                                             boolean isPublished)
                                      throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Creates a new FRS package.

      Requires OperationConstants.FRSAPPFOLDER_CREATE_CREATEPACKAGE

      Change History
      Version 4.4
      - Added additional parameter `isPublished`
      Specified by:
        `createPackage` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The project id.
        `title` - Package title.
        `description` - Package description.
        `isPublished` - Whether the package should be published
      Returns:
        Newly created package object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getPackageList

          public PackageSoapList getPackageList(String sessionId,
                                                String projectId)
                                         throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Lists packages within a project.
      Specified by:
        `getPackageList` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The project id.
      Returns:
        List of packages within the specified project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getPackageData

          public PackageSoapDO getPackageData(String sessionId,
                                              String packageId)
                                       throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Returns package data.
      Specified by:
        `getPackageData` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `packageId` - The package id.
      Returns:
        Package object data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### setPackageData

          public void setPackageData(String sessionId,
                                     PackageSoapDO packageData)
                              throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Returns package data.

      Requires OperationConstants.PACKAGE_EDIT_EDIT

      Specified by:
        `setPackageData` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `packageData` - The package object to edit.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when package data is stale.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### deletePackage

          public void deletePackage(String sessionId,
                                    String packageId)
                             throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Deletes the specified package.
      Specified by:
        `deletePackage` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `packageId` - The package id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getReleaseList

          public ReleaseSoapList getReleaseList(String sessionId,
                                                String packageId)
                                         throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Lists the releases within a specified package.
      Specified by:
        `getReleaseList` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `packageId` - The package id.
      Returns:
        List of releases within the specified package.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### createRelease

          public ReleaseSoapDO createRelease(String sessionId,
                                             String packageId,
                                             String title,
                                             String description,
                                             String status,
                                             String maturity)
                                      throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Creates a new release within a specified package.
      Specified by:
        `createRelease` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `packageId` - The package id.
        `title` - Release title.
        `description` - Release description.
        `status` - Release status ("active", "pending")
        `maturity` - Maturity level ("Alpha", etc.)
      Returns:
        Newly created release object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### deleteRelease

          public void deleteRelease(String sessionId,
                                    String releaseId)
                             throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Deletes the specified release.
      Specified by:
        `deleteRelease` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The release id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getReleaseData

          public ReleaseSoapDO getReleaseData(String sessionId,
                                              String releaseId)
                                       throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Returns the specified release data.
      Specified by:
        `getReleaseData` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The release id.
      Returns:
        Release data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### setReleaseData

          public void setReleaseData(String sessionId,
                                     ReleaseSoapDO releaseData)
                              throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Sets the specified release data.
      Specified by:
        `setReleaseData` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `releaseData` - The release object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when package data is stale.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when release data is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### createFrsFile

          public FrsFileSoapDO createFrsFile(String sessionId,
                                             String releaseId,
                                             String fileName,
                                             String mimeType,
                                             String fileId)
                                      throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Creates a new FRS file and adds it to the specified release.
      Specified by:
        `createFrsFile` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The release id.
        `fileName` - Name of the attached file.
        `mimeType` - File mime type.
        `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
      Returns:
        Newly created frs file object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getFrsFileData

          public FrsFileSoapDO getFrsFileData(String sessionId,
                                              String frsFileId)
                                       throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Gets FRS file data.
      Specified by:
        `getFrsFileData` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `frsFileId` - FRS file id of the object to retrieve.
      Returns:
        the FRS file data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when SOAP session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when frsFileId does not exist.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permissions are insufficient.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when an argument is invalid.
        `RemoteException`

    - #### getFrsFileList

          public FrsFileSoapList getFrsFileList(String sessionId,
                                                String releaseId)
                                         throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Returns a list of files within a release.
      Specified by:
        `getFrsFileList` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The release id.
      Returns:
        List of files within the specified release.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### deleteFrsFile

          public void deleteFrsFile(String sessionId,
                                    String frsFileId)
                             throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Deletes the specified file.
      Specified by:
        `deleteFrsFile` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `frsFileId` - The frs file id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getFrsFileId

          public String getFrsFileId(String sessionId,
                                     String frsFileId)
                              throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Returns a temporary file storage object id to download an FRS file. The returned file storage id should be used with one of the file storage services to download the file (e.g. FileStorageApp or SimpleFileStorageApp service).
      IMPORTANT: The returned file id is valid ONLY during the session.
      Specified by:
        `getFrsFileId` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `frsFileId` - FRS File id.
      Returns:
        File storage id (for download using FileStorageService or SimpleFileStorageService).
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getArtifactListReportedInRelease

          public ArtifactSoapList getArtifactListReportedInRelease(String sessionId,
                                                                   String releaseId)
                                                            throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Lists artifacts that were found in the given release.
      Specified by:
        `getArtifactListReportedInRelease` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The id of the release
      Returns:
        List of the artifacts reported in the given release.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getArtifactListReportedInRelease2

          public Artifact2SoapList getArtifactListReportedInRelease2(String sessionId,
                                                                     String releaseId)
                                                              throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Lists artifacts that were found in the given release. The difference between this method and getArtifactListReportedInRelease is that this returns `Artifact2SoapList` that adds the autoSummingpoints and Team field information on the artifact
      Specified by:
        `getArtifactListReportedInRelease2` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The id of the release
      Returns:
        List of the artifacts reported in the given release.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getArtifactListResolvedInRelease

          public ArtifactSoapList getArtifactListResolvedInRelease(String sessionId,
                                                                   String releaseId)
                                                            throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Lists artifacts that were resolved in the given release.
      Specified by:
        `getArtifactListResolvedInRelease` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The id of the release
      Returns:
        List of the artifacts resolved in the given release.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getArtifactListResolvedInRelease2

          public Artifact2SoapList getArtifactListResolvedInRelease2(String sessionId,
                                                                     String releaseId)
                                                              throws RemoteException

      Description copied from interface: `IFrsAppSoap`
      Lists artifacts that were resolved in the given release. The difference between this method and getArtifactListResolvedInRelease is that this returns `Artifact2SoapList` that adds the autoSummingPoints and Team field information on the artifact.
      Specified by:
        `getArtifactListResolvedInRelease2` in interface `IFrsAppSoap`
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The id of the release
      Returns:
        List of the artifacts resolved in the given release.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

Copyright © 2020 CollabNet. All rights reserved.